Kubernetes
probe CPU, Memory

# get_stressor

Get a stressor

Run it now
View details

Type | probe
Module | chaosk8s.chaosmesh.stress.probes
Name | get_stressor
Return | mapping

Usage

JSON

    {
      "name": "get-stressor",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosk8s.chaosmesh.stress.probes",
        "func": "get_stressor"
      }
    }

YAML

    name: get-stressor
    provider:
      func: get_stressor
      module: chaosk8s.chaosmesh.stress.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
name | string |  | Yes | Name | Name of a particular stressor
ns | string | default | No | Namespace | Namespace where to get the stressor from

Signature

    def get_stressor(name: str,
                     ns: str = 'default',
                     secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- Kubernetes
  action CPU, Memory

  ## `delete_stressor`

  Remove a stressor
- Kubernetes
  probe CPU, Memory

  ## `get_stressors`

  List all stressors
- Kubernetes
  action Network

  ## `create_network_policy`

  Add a network policty